Package: groovy.swing.model

## [Java] Class FormModel

- groovy.swing.model.FormModel

-     public class FormModel
      extends Object

  Represents a number of field models which can be ValueModel, PropertyModel, TableModel, TreeModel or nested FormModel instances

- - ### Constructor Summary

    Constructors
    Constructor and description
    `FormModel()`
    `FormModel(Map<String, Object> fieldModels)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addModel(String name, Object model)`
    `` | `public Object` | `getModel(String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public FormModel()

    - #### public FormModel(Map<String, Object> fieldModels)

  - ### Method Detail

    - #### public void addModel(String name, Object model)

    - #### public Object getModel(String name)